package com.ylx.point.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ylx.point.domain.PointActivityTask;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 积分活动任务规则Mapper接口
 *
 * @author wzj
 * @date 2026-03-25
 */
public interface PointActivityTaskMapper extends BaseMapper<PointActivityTask> {

    public int deletePointActivityTaskById(String id);

    void insertPointActivityTask(PointActivityTask pointActivityTask);

    void batchInsertPointActivityTask(@Param("list") List<PointActivityTask> activityTasks);

    List<PointActivityTask> selectPointActivityTaskByActivityId(@Param("activityId") Long activityId);

    int deletePointActivityTaskByActivityId(Long activityId);

    List<PointActivityTask> selectTasksByActivityType(@Param("activityType") Integer activityType);
}
